## DMAPContainerDb DMAPContainerDb |

## Functions

void | dmap_container_db_add ()
DMAPContainerRecord * | dmap_container_db_lookup_by_id ()
void | dmap_container_db_foreach ()
gulong | dmap_container_db_count ()

## Types and Values

struct | DMAPContainerDbIface

## Description

## Functions

### dmap_container_db_add ()

    void
    dmap_container_db_add (DMAPContainerDb *db,
                           DMAPContainerRecord *record);

Add a record to the database.

#### Parameters

db | A container database. |
record | A record. |

### dmap_container_db_lookup_by_id ()

    DMAPContainerRecord *
    dmap_container_db_lookup_by_id (DMAPContainerDb *db,
                                    guint id);

#### Parameters

db | A container database. |
id | A record ID. |

#### Returns

the database record corresponding to `id` . This record should be unrefed when no longer required.

### dmap_container_db_foreach ()

    void
    dmap_container_db_foreach (DMAPContainerDb *db,
                               GHFunc func,
                               gpointer data);

Apply a function to each record in a container database.

#### Parameters

db | A container database. |
func | The function to apply to each record in the database. |
data | User data to pass to the function. |

### dmap_container_db_count ()

    gulong
    dmap_container_db_count (DMAPContainerDb *db);

#### Parameters

db | A container database. |

#### Returns

the number of records in the database.

## Types and Values

### struct DMAPContainerDbIface

    struct DMAPContainerDbIface {
    	GTypeInterface parent;

    	void (*add) (DMAPContainerDb * db, DMAPContainerRecord * record);

    	DMAPContainerRecord *(*lookup_by_id) (DMAPContainerDb * db, guint id);

    	void (*foreach) (DMAPContainerDb * db, GHFunc func, gpointer data);

    	  gint64 (*count) (DMAPContainerDb * db);
    };